/*===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * 
 * IBM SDK, Java(tm) Technology Edition, v6
 * (C) Copyright IBM Corp. 2010, 2010. All
 *Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *===========================================================================
 */
/*
 * @(#)JavaUtilJarAccessImpl.java	1.8 09/12/04                           //IBM-sun_bug_fixes_temp
 *
 * Copyright 2006-2009 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package java.util.jar;

import java.io.IOException;
import java.net.URL;                                                            //IBM-sun_bug_fixes_temp
import java.util.Enumeration;                                                   //IBM-sun_bug_fixes_temp
import java.util.List;                                                          //IBM-sun_bug_fixes_temp
import java.util.jar.JarEntry;                                                  //IBM-sun_bug_fixes_temp
import java.security.CodeSource;                                                //IBM-sun_bug_fixes_temp
import java.security.cert.Certificate;                                          //IBM-sun_bug_fixes_temp
import sun.misc.JavaUtilJarAccess;

class JavaUtilJarAccessImpl implements JavaUtilJarAccess {
    public boolean jarFileHasClassPathAttribute(JarFile jar) throws IOException {
        return jar.hasClassPathAttribute();
    }
                                                                                //IBM-sun_bug_fixes_temp
    public CodeSource[] getCodeSources(JarFile jar, URL url) {                  //IBM-sun_bug_fixes_temp
        return jar.getCodeSources(url);                                         //IBM-sun_bug_fixes_temp
    }                                                                           //IBM-sun_bug_fixes_temp
                                                                                //IBM-sun_bug_fixes_temp
    public CodeSource getCodeSource(JarFile jar, URL url, String name) {        //IBM-sun_bug_fixes_temp
        return jar.getCodeSource(url, name);                                    //IBM-sun_bug_fixes_temp
    }                                                                           //IBM-sun_bug_fixes_temp
                                                                                //IBM-sun_bug_fixes_temp
    public Enumeration<String> entryNames(JarFile jar, CodeSource[] cs) {       //IBM-sun_bug_fixes_temp
        return jar.entryNames(cs);                                              //IBM-sun_bug_fixes_temp
    }                                                                           //IBM-sun_bug_fixes_temp
                                                                                //IBM-sun_bug_fixes_temp
    public Enumeration<JarEntry> entries2(JarFile jar) {                        //IBM-sun_bug_fixes_temp
	return jar.entries2();                                                  //IBM-sun_bug_fixes_temp
    }                                                                           //IBM-sun_bug_fixes_temp
                                                                                //IBM-sun_bug_fixes_temp
    public void setEagerValidation(JarFile jar, boolean eager) {                //IBM-sun_bug_fixes_temp
	jar.setEagerValidation(eager);                                          //IBM-sun_bug_fixes_temp
    }                                                                           //IBM-sun_bug_fixes_temp
                                                                                //IBM-sun_bug_fixes_temp
    public List getManifestDigests(JarFile jar) {                               //IBM-sun_bug_fixes_temp
	return jar.getManifestDigests();                                        //IBM-sun_bug_fixes_temp
    }                                                                           //IBM-sun_bug_fixes_temp
}
//IBM-sun_bug_fixes_temp
